diff --git a/os/xdmcp.h b/os/xdmcp.h
index e8b1a3c3e..064e52464 100644
--- a/os/xdmcp.h
+++ b/os/xdmcp.h
@@ -3,6 +3,7 @@
 
 #include "osdep.h"
 
+#ifdef XDMCP
 /* in xdmcp.c */
 void XdmcpUseMsg(void);
 int XdmcpOptions(int argc, char **argv, int i);
@@ -23,5 +24,6 @@ void XdmcpRegisterAuthentication(const char *name,
 
 struct sockaddr_in;
 void XdmcpRegisterBroadcastAddress(const struct sockaddr_in *addr);
+#endif
 
 #endif /* _XSERVER_OS_XDMCP_H */
